
const localStorageGameId = "terrassumptions:gameId";
const localStoragePlayerName = "terrassumptions:playerName";
const localStoragePlayerId = "terrassumptions:playerId";
const localStorageTimer = "terrassumptions:timer";

export const saveGameInfoToLocalStorage = (gameId, playerName, playerId) => {
  localStorage.setItem(localStorageGameId, gameId);
  localStorage.setItem(localStoragePlayerName, playerName);
  localStorage.setItem(localStoragePlayerId, playerId);
}

export const clearGameInfoFromLocalStorage = () => {
  localStorage.removeItem(localStorageGameId);
  localStorage.removeItem(localStoragePlayerName);
  localStorage.removeItem(localStoragePlayerId);
  localStorage.removeItem(localStorageTimer);
}

export const useGameInfoFromLocalStorage = () => {
  const gameId = localStorage.getItem(localStorageGameId);
  const playerName = localStorage.getItem(localStoragePlayerName);
  const playerId = localStorage.getItem(localStoragePlayerId);
  return { gameId, playerName, playerId };
}

export const saveTimerToLocalStorage = (timer) => {
  localStorage.setItem(localStorageTimer, timer.toString());
}

export const clearTimerFromLocalStorage = () => {
  localStorage.removeItem(localStorageTimer);
}

export const useTimerFromLocalStorage = () => {
  const timer = localStorage.getItem(localStorageTimer);
  return timer === null ? null : Number.parseInt(timer);
}